I have a HP zv5000 computer and wireless does not work with Ubuntu 10.04

Asked by John Hammond on 2014-02-14

I looked at #60355 which looked similar and type in commands and received the following response:(I am not sure which command is first so some of the response may have been from a previous try)

john@john-laptop:~$ sudo aptitude update
Writing extended state information... Done
Hit http://us.archive.ubuntu.com lucid Release.gpg
Ign http://us.archive.ubuntu.com/ubuntu/ lucid/main Translation-en_US
Ign http://us.archive.ubuntu.com/ubuntu/ lucid/restricted Translation-en_US
Ign http://us.archive.ubuntu.com/ubuntu/ lucid/universe Translation-en_US
Ign http://us.archive.ubuntu.com/ubuntu/ lucid/multiverse Translation-en_US
Hit http://us.archive.ubuntu.com lucid-updates Release.gpg
Ign http://us.archive.ubuntu.com/ubuntu/ lucid-updates/main Translation-en_US
Ign http://us.archive.ubuntu.com/ubuntu/ lucid-updates/restricted Translation-en_US
Ign http://us.archive.ubuntu.com/ubuntu/ lucid-updates/universe Translation-en_US
Ign http://us.archive.ubuntu.com/ubuntu/ lucid-updates/multiverse Translation-en_US
Hit http://us.archive.ubuntu.com lucid Release
Hit http://us.archive.ubuntu.com lucid-updates Release
Hit http://us.archive.ubuntu.com lucid/main Packages
Hit http://us.archive.ubuntu.com lucid/restricted Packages
Hit http://us.archive.ubuntu.com lucid/main Sources
Hit http://us.archive.ubuntu.com lucid/restricted Sources
Hit http://us.archive.ubuntu.com lucid/universe Packages
Hit http://security.ubuntu.com lucid-security Release.gpg
Ign http://security.ubuntu.com/ubuntu/ lucid-security/main Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ lucid-security/restricted Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ lucid-security/universe Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ lucid-security/multiverse Translation-en_US
Hit http://us.archive.ubuntu.com lucid/universe Sources
Hit http://us.archive.ubuntu.com lucid/multiverse Packages
Hit http://us.archive.ubuntu.com lucid/multiverse Sources
Hit http://us.archive.ubuntu.com lucid-updates/main Packages
Hit http://us.archive.ubuntu.com lucid-updates/restricted Packages
Hit http://us.archive.ubuntu.com lucid-updates/main Sources
Hit http://us.archive.ubuntu.com lucid-updates/restricted Sources
Hit http://us.archive.ubuntu.com lucid-updates/universe Packages
Hit http://us.archive.ubuntu.com lucid-updates/universe Sources
Hit http://us.archive.ubuntu.com lucid-updates/multiverse Packages
Hit http://security.ubuntu.com lucid-security Release
Hit http://us.archive.ubuntu.com lucid-updates/multiverse Sources
Hit http://security.ubuntu.com lucid-security/main Packages
Hit http://security.ubuntu.com lucid-security/restricted Packages
Hit http://security.ubuntu.com lucid-security/main Sources
Hit http://security.ubuntu.com lucid-security/restricted Sources
Hit http://security.ubuntu.com lucid-security/universe Packages
Hit http://security.ubuntu.com lucid-security/universe Sources
Hit http://security.ubuntu.com lucid-security/multiverse Packages
Hit http://security.ubuntu.com lucid-security/multiverse Sources
Hit http://linuxcnc.org lucid Release.gpg
Ign http://linuxcnc.org/ lucid/base Translation-en_US
Ign http://linuxcnc.org/ lucid/linuxcnc2.5 Translation-en_US
Hit http://linuxcnc.org lucid Release
Hit http://linuxcnc.org lucid/base Packages
Hit http://linuxcnc.org lucid/linuxcnc2.5 Packages
Reading package lists... Done

john@john-laptop:~$ sudo aptitude install b43-fwcutter
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
No packages will be installed, upgraded, or removed.
0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B of archives. After unpacking 0B will be used.
Writing extended state information... Done
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done

john@john-laptop:~$ sudo iwlist scanning
lo Interface doesn't support scanning.

eth0 Interface doesn't support scanning.

john@john-laptop:~$ nm-tool

NetworkManager Tool

State: connected

** (process:1768): WARNING **: error: failed to read connections from org.freedesktop.NetworkManagerUserSettings:
    The name org.freedesktop.NetworkManagerUserSettings was not provided by any .service files
- Device: eth0 [Auto eth0] ----------------------------------------------------
  Type: Wired
  Driver: 8139too
  State: connected
  Default: yes
  HW Address: 00:02:3F:1F:BE:4D

  Capabilities:
    Carrier Detect: yes
    Speed: 100 Mb/s

  Wired Properties
    Carrier: on

  IPv4 Settings:
    Address: 192.168.1.106
    Prefix: 24 (255.255.255.0)
    Gateway: 192.168.1.1

    DNS: 68.105.28.11
    DNS: 68.105.29.11
    DNS: 68.105.28.12

john@john-laptop:~$ iwconfig
lo no wireless extensions.

eth0 no wireless extensions.

john@john-laptop:~$ ifconfig
eth0 Link encap:Ethernet HWaddr 00:02:3f:1f:be:4d
          inet addr:192.168.1.106 Bcast:192.168.1.255 Mask:255.255.255.0
          inet6 addr: fe80::202:3fff:fe1f:be4d/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
          RX packets:14355 errors:0 dropped:0 overruns:0 frame:0
          TX packets:9787 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:18975250 (18.9 MB) TX bytes:942076 (942.0 KB)
          Interrupt:19 Base address:0xa000

lo Link encap:Local Loopback
          inet addr:127.0.0.1 Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING MTU:16436 Metric:1
          RX packets:2007 errors:0 dropped:0 overruns:0 frame:0
          TX packets:2007 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:216628 (216.6 KB) TX bytes:216628 (216.6 KB)

john@john-laptop:~$ sudo lshw -C network
  *-network:0 UNCLAIMED
       description: Network controller
       product: BCM4306 802.11b/g Wireless LAN Controller
       vendor: Broadcom Corporation
       physical id: 2
       bus info: pci@0000:02:02.0
       version: 03
       width: 32 bits
       clock: 33MHz
       capabilities: bus_master
       configuration: latency=64
       resources: memory:d0200000-d0201fff
  *-network:1
       description: Ethernet interface
       product: RTL-8139/8139C/8139C+
       vendor: Realtek Semiconductor Co., Ltd.
       physical id: 3
       bus info: pci@0000:02:03.0
       logical name: eth0
       version: 10
       serial: 00:02:3f:1f:be:4d
       size: 100MB/s
       capacity: 100MB/s
       width: 32 bits
       clock: 33MHz
       capabilities: pm bus_master cap_list ethernet physical tp mii 10bt 10bt-fd 100bt 100bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=8139too driverversion=0.9.28 duplex=full ip=192.168.1.106 latency=128 link=yes maxlatency=64 mingnt=32 multicast=yes port=MII speed=100MB/s
       resources: irq:19 ioport:a000(size=256) memory:d0204000-d02040ff
john@john-laptop:~$ lspci -nn
\00:00.0 Host bridge [0600]: ATI Technologies Inc Radeon 9100 IGP Host Bridge [1002:5833] (rev 02)
00:01.0 PCI bridge [0604]: ATI Technologies Inc Radeon 9100 IGP AGP Bridge [1002:5838]
00:13.0 USB Controller [0c03]: ATI Technologies Inc OHCI USB Controller #1 [1002:4347] (rev 01)
00:13.1 USB Controller [0c03]: ATI Technologies Inc OHCI USB Controller #2 [1002:4348] (rev 01)
00:14.0 SMBus [0c05]: ATI Technologies Inc SMBus [1002:4353] (rev 16)
00:14.1 IDE interface [0101]: ATI Technologies Inc Dual Channel Bus Master PCI IDE Controller [1002:4349]
00:14.3 ISA bridge [0601]: ATI Technologies Inc Device [1002:434c]
00:14.4 PCI bridge [0604]: ATI Technologies Inc IXP200 3COM 3C920B Ethernet Controller [1002:4342]
00:14.5 Multimedia audio controller [0401]: ATI Technologies Inc IXP150 AC'97 Audio Controller [1002:4341]
00:14.6 Modem [0703]: ATI Technologies Inc IXP AC'97 Modem [1002:434d] (rev 01)
01:05.0 VGA compatible controller [0300]: ATI Technologies Inc RS300M AGP [Radeon Mobility 9100IGP] [1002:5835]
02:02.0 Network controller [0280]: Broadcom Corporation BCM4306 802.11b/g Wireless LAN Controller [14e4:4320] (rev 03)
02:03.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ [10ec:8139] (rev 10)
02:04.0 CardBus bridge [0607]: Texas Instruments PCI1520 PC card Cardbus Controller [104c:ac55] (rev 01)
02:04.1 CardBus bridge [0607]: Texas Instruments PCI1520 PC card Cardbus Controller [104c:ac55] (rev 01)
02:07.0 USB Controller [0c03]: NEC Corporation USB [1033:0035] (rev 43)
02:07.1 USB Controller [0c03]: NEC Corporation USB [1033:0035] (rev 43)
02:07.2 USB Controller [0c03]: NEC Corporation USB 2.0 [1033:00e0] (rev 04)
john@john-laptop:~$ lsusb
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
john@john-laptop:~$ uname -a
Linux john-laptop 2.6.32-122-rtai #rtai SMP Tue Jul 27 12:44:07 CDT 2010 i686 GNU/Linux
john@john-laptop:~$ dmesg | grep ound
[ 0.000000] found SMP MP-table at [c00f6610] f6610
[ 0.068001] ..... (found apic 0 pin 2) ...
[ 0.164402] ACPI: No dock devices found.
[ 0.192750] pnp: PnP ACPI: found 10 devices
[ 0.329393] hub 1-0:1.0: USB hub found
[ 0.417224] hub 2-0:1.0: USB hub found
[ 0.504593] hub 3-0:1.0: USB hub found
[ 0.649007] hub 4-0:1.0: USB hub found
[ 0.769044] hub 5-0:1.0: USB hub found
[ 0.841880] device-mapper: multipath round-robin: version 1.0.0 loaded
[ 0.846535] BIOS EDD facility v0.16 2004-Jun-25, 0 devices found
[ 1.020352] isapnp: No Plug & Play device found
[ 4.528032] floppy0: no floppy controllers found
[ 21.503420] lp: driver loaded but no devices found
[ 22.117740] yenta_cardbus 0000:02:04.0: CardBus bridge found [103c:006b]
[ 22.360091] yenta_cardbus 0000:02:04.1: CardBus bridge found [103c:006b]
[ 24.756049] floppy0: no floppy controllers found
john@john-laptop:~$ dmesg | grep illswitch
john@john-laptop:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 10.04.4 LTS
Release: 10.04
Codename: lucid
john@john-laptop:~$ sudo aptitude update
Hit http://us.archive.ubuntu.com lucid Release.gpg
Ign http://us.archive.ubuntu.com/ubuntu/ lucid/main Translation-en_US
Ign http://us.archive.ubuntu.com/ubuntu/ lucid/restricted Translation-en_US
Ign http://us.archive.ubuntu.com/ubuntu/ lucid/universe Translation-en_US
Ign http://us.archive.ubuntu.com/ubuntu/ lucid/multiverse Translation-en_US
Hit http://us.archive.ubuntu.com lucid-updates Release.gpg
Ign http://us.archive.ubuntu.com/ubuntu/ lucid-updates/main Translation-en_US
Ign http://us.archive.ubuntu.com/ubuntu/ lucid-updates/restricted Translation-en_US
Ign http://us.archive.ubuntu.com/ubuntu/ lucid-updates/universe Translation-en_US
Ign http://us.archive.ubuntu.com/ubuntu/ lucid-updates/multiverse Translation-en_US
Hit http://us.archive.ubuntu.com lucid Release
Hit http://security.ubuntu.com lucid-security Release.gpg
Ign http://security.ubuntu.com/ubuntu/ lucid-security/main Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ lucid-security/restricted Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ lucid-security/universe Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ lucid-security/multiverse Translation-en_US
Hit http://us.archive.ubuntu.com lucid-updates Release
Hit http://us.archive.ubuntu.com lucid/main Packages
Hit http://us.archive.ubuntu.com lucid/restricted Packages
Hit http://us.archive.ubuntu.com lucid/main Sources
Hit http://us.archive.ubuntu.com lucid/restricted Sources
Hit http://us.archive.ubuntu.com lucid/universe Packages
Hit http://security.ubuntu.com lucid-security Release
Hit http://us.archive.ubuntu.com lucid/universe Sources
Hit http://us.archive.ubuntu.com lucid/multiverse Packages
Hit http://us.archive.ubuntu.com lucid/multiverse Sources
Hit http://us.archive.ubuntu.com lucid-updates/main Packages
Hit http://us.archive.ubuntu.com lucid-updates/restricted Packages
Hit http://us.archive.ubuntu.com lucid-updates/main Sources
Hit http://us.archive.ubuntu.com lucid-updates/restricted Sources
Hit http://us.archive.ubuntu.com lucid-updates/universe Packages
Hit http://us.archive.ubuntu.com lucid-updates/universe Sources
Hit http://us.archive.ubuntu.com lucid-updates/multiverse Packages
Hit http://security.ubuntu.com lucid-security/main Packages
Hit http://us.archive.ubuntu.com lucid-updates/multiverse Sources
Hit http://linuxcnc.org lucid Release.gpg
Ign http://linuxcnc.org/ lucid/base Translation-en_US
Ign http://linuxcnc.org/ lucid/linuxcnc2.5 Translation-en_US
Hit http://security.ubuntu.com lucid-security/restricted Packages
Hit http://security.ubuntu.com lucid-security/main Sources
Hit http://security.ubuntu.com lucid-security/restricted Sources
Hit http://security.ubuntu.com lucid-security/universe Packages
Hit http://security.ubuntu.com lucid-security/universe Sources
Hit http://security.ubuntu.com lucid-security/multiverse Packages
Hit http://security.ubuntu.com lucid-security/multiverse Sources
Hit http://linuxcnc.org lucid Release
Hit http://linuxcnc.org lucid/base Packages
Hit http://linuxcnc.org lucid/linuxcnc2.5 Packages
Reading package lists... Done

john@john-laptop:~$ sudo aptitude install b43-fwcutter
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
No packages will be installed, upgraded, or removed.
0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B of archives. After unpacking 0B will be used.
Writing extended state information... Done
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done

john@john-laptop:~$

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu b43-fwcutter Edit question
Assignee:
No assignee Edit question
Last query:
2014-02-16
Last reply:
2014-02-16

Is this a desktop OS?

John Hammond (hammond-john7) said : #2

I downloaded the operating system with a cnc program frm Linuxcnc.org, as I remember. It is a LTS version. I do not know what that means. The laptop has a wireless button and works in wireless mode with Windows XP but not with Ubuntu.
Does this answer your question?

Sent from my iPad

> On Feb 14, 2014, at 2:36 PM, actionparsnip <email address hidden> wrote:
>
> Your question #244017 on b43-fwcutter in Ubuntu changed:
> https://answers.launchpad.net/ubuntu/+source/b43-fwcutter/+question/244017
>
> Status: Open => Needs information
>
> actionparsnip requested more information:
> Is this a desktop OS?
>
> --
> To answer this request for more information, you can either reply to
> this email or enter your reply at the following page:
> https://answers.launchpad.net/ubuntu/+source/b43-fwcutter/+question/244017
>
> You received this question notification because you asked the question.

Lucid is no longer supported on the desktop. It is only supported on the server (all command line, no mouse pointer).

LTS means (l)ong (t)erm (s)upport which gives 3 years support for Lucid on desktop and 5 on server. Newer LTS releases are 5 years on both.

I suggest you upgrade to Precise either with a clean install or online upgrade.

John Hammond (hammond-john7) said : #4

I started using Ubuntu 10.04 because it allowed me to use Linuxcnc. On the LinuxCNC.org website, it states:
Note: Do Not upgrade Ubuntu from 6.06 to 8.04 or upgrade from 8.04 to 8.10. The precompiled versions of LinuxCNC are only compatible with the Ubuntu version they were compiled with. Upgrading will remove the LinuxCNC packages and make your system unable to run LinuxCNC . This makes me reticent to upgrade the operating system. Perhaps if I could find the proper driver file which ends with .inf, It would install. I sure am ignorant in these things.

Thanks for your help,

John Hammond

Sent from my iPad

> On Feb 15, 2014, at 2:56 AM, actionparsnip <email address hidden> wrote:
>
> Your question #244017 on b43-fwcutter in Ubuntu changed:
> https://answers.launchpad.net/ubuntu/+source/b43-fwcutter/+question/244017
>
> Status: Open => Answered
>
> actionparsnip proposed the following answer:
> Lucid is no longer supported on the desktop. It is only supported on the
> server (all command line, no mouse pointer).
>
> LTS means (l)ong (t)erm (s)upport which gives 3 years support for Lucid
> on desktop and 5 on server. Newer LTS releases are 5 years on both.
>
> I suggest you upgrade to Precise either with a clean install or online
> upgrade.
>
> --
> If this answers your question, please go to the following page to let us
> know that it is solved:
> https://answers.launchpad.net/ubuntu/+source/b43-fwcutter/+question/244017/+confirm?answer_id=2
>
> If you still need help, you can reply to this email or go to the
> following page to enter your feedback:
> https://answers.launchpad.net/ubuntu/+source/b43-fwcutter/+question/244017
>
> You received this question notification because you asked the question.

@John: first install the 32-bit version of Ubuntu 12.04 LTS (the 64-bit version does not work with LinuxCNC).

Boot Ubuntu 12.04 LTS 32-bit edition, which is officially supported until April 2017.

Install the latest Xenomai kernel in Ubuntu 12.04 LTS 32-bit using these instructions:

http://wiki.linuxcnc.org/cgi-bin/wiki.pl?XenomaiKernelPackages

Then follow these instructions to install LinuxCNC in Ubuntu 12.04 LTS 32-bit edition:

http://www.anderswallin.net/2012/12/linuxcnc-on-ubuntu-12-04lts/

Can you help with this problem?

Provide an answer of your own, or ask John Hammond for more information if necessary.

To post a message you must log in.